headless lms

Remove a course comment

DELETE /api/comments/{commentId}. Remove a course comment. Headless LMS Discussion API reference.

DELETE
/api/comments/{commentId}

Needs courses:moderate on the course, unless it is your own comment. Hides the comment and resolves its open reports as removed. Removing a removed comment returns it unchanged.

Path Parameters

commentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/comments/string"
{  "id": "string",  "activityId": "string",  "postId": "string",  "communityId": "string",  "parentId": "string",  "author": {    "id": "string",    "firstName": "string",    "lastName": "string",    "displayName": "string",    "headline": "string",    "image": "string",    "imageAssetId": "string",    "imageUrl": "string",    "team": true,    "roleName": "string"  },  "body": "string",  "status": "pending",  "removedBy": {    "id": "string",    "firstName": "string",    "lastName": "string",    "displayName": "string",    "headline": "string",    "image": "string",    "imageAssetId": "string",    "imageUrl": "string",    "team": true,    "roleName": "string"  },  "reactions": {    "property1": 0,    "property2": 0  },  "viewerReaction": "string",  "mentions": [    {      "orgUserId": "string",      "name": "string"    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}